com.thinkaurelius.titan.diskstorage.indexing

## Class StandardKeyInformation

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.indexing.StandardKeyInformation

- All Implemented Interfaces:
    KeyInformation

      public class StandardKeyInformation
      extends Object
      implements KeyInformation

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.diskstorage.indexing.KeyInformation

      `KeyInformation.IndexRetriever, KeyInformation.Retriever, KeyInformation.StoreRetriever`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardKeyInformation(Class<?> dataType)`
    `StandardKeyInformation(Class<?> dataType, Parameter... parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cardinality` | `getCardinality()` Returns the `Cardinality` for this key.
    `Class<?>` | `getDataType()` Returns the data type of the key's values.
    `Parameter[]` | `getParameters()` Returns the parameters of the key's configuration.
    `boolean` | `hasParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardKeyInformation

          public StandardKeyInformation(Class<?> dataType)

    - #### StandardKeyInformation

          public StandardKeyInformation(Class<?> dataType,
                                Parameter... parameters)

  - ### Method Detail

    - #### getDataType

          public Class<?> getDataType()

      Description copied from interface: `KeyInformation`
      Returns the data type of the key's values.
      Specified by:
        `getDataType` in interface `KeyInformation`
      Returns:

    - #### hasParameters

          public boolean hasParameters()

    - #### getParameters

          public Parameter[] getParameters()

      Description copied from interface: `KeyInformation`
      Returns the parameters of the key's configuration.
      Specified by:
        `getParameters` in interface `KeyInformation`
      Returns:

    - #### getCardinality

          public Cardinality getCardinality()

      Description copied from interface: `KeyInformation`
      Returns the `Cardinality` for this key.
      Specified by:
        `getCardinality` in interface `KeyInformation`
      Returns:

Copyright © 2012–2014. All rights reserved.